Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2126366 - F38FailsToInstall: python3-basemap
Summary: F38FailsToInstall: python3-basemap
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-basemap
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2022-09-13 09:23 UTC by Miro Hrončok
Modified: 2022-09-22 01:24 UTC (History)
1 user (show)

Fixed In Version: python-basemap-1.3.4-3.fc37 python-basemap-1.3.4-3.fc36 python-basemap-1.3.4-3.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-15 15:06:25 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2022-09-13 09:23:38 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (python-basemap) Fails To Install in Fedora 38:

can't install python3-basemap:
  - nothing provides (python3.11dist(pyproj) < 3.4~~ with python3.11dist(pyproj) >= 1.9.3) needed by python3-basemap-1.3.4-2.fc38.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-38-x86_64 --config-opts mirrored=False install python3-basemap


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Update System 2022-09-13 14:50:08 UTC
FEDORA-2022-df0550894a has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-df0550894a

Comment 2 Fedora Update System 2022-09-13 14:50:09 UTC
FEDORA-2022-8d5e90c0c7 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-8d5e90c0c7

Comment 3 Fedora Update System 2022-09-13 14:50:10 UTC
FEDORA-2022-a3e890e914 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a3e890e914

Comment 4 Fedora Update System 2022-09-14 01:52:32 UTC
FEDORA-2022-a3e890e914 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-a3e890e914`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a3e890e914

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-09-14 02:40:17 UTC
FEDORA-2022-8d5e90c0c7 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-8d5e90c0c7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-8d5e90c0c7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-09-14 02:40:40 UTC
FEDORA-2022-df0550894a has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-df0550894a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-df0550894a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Miro Hrončok 2022-09-15 15:06:25 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 38.

Thanks for taking care of it!

Comment 8 Fedora Update System 2022-09-18 00:17:36 UTC
FEDORA-2022-a3e890e914 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-09-22 01:16:57 UTC
FEDORA-2022-8d5e90c0c7 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-09-22 01:24:59 UTC
FEDORA-2022-df0550894a has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.